at.chipkarte.client.rez.soap

## Class PrivatrezeptAbgabeErfassungAenderung

- Object
- - at.chipkarte.client.rez.soap.PrivatrezeptAbgabeErfassungAenderung

-     public class PrivatrezeptAbgabeErfassungAenderung
      extends Object

  Daten zur Erfassung/Änderung von Abgabeinformationen zu einem Privatrezept.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivatrezeptAbgabeErfassungAenderung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRezId()` Eindeutige ID eines e-Rezeptes.
    `PrivatrezeptVerordnungsAbgabe[]` | `getVerordnungsAbgaben()` Abgabeinformation(en) zu den einzelnen Verordnungen.
    `Boolean` | `isNacherfassung()` Angabe, ob es sich um die nachträgliche Übermittlung einer bereits offline getätigten Abgabe handelt.
    `void` | `setNacherfassung(Boolean nacherfassung)`
    `void` | `setRezId(String rezId)`
    `void` | `setVerordnungsAbgaben(PrivatrezeptVerordnungsAbgabe[] verordnungsAbgaben)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivatrezeptAbgabeErfassungAenderung

          public PrivatrezeptAbgabeErfassungAenderung()

  - ### Method Detail

    - #### getRezId

          public String getRezId()

      Eindeutige ID eines e-Rezeptes.
      Angabe: Muss.
      Format: 12-stellig
      Returns:
        Returns the rezId.

    - #### setRezId

          public void setRezId(String rezId)

    - #### isNacherfassung

          public Boolean isNacherfassung()

      Angabe, ob es sich um die nachträgliche Übermittlung einer bereits offline getätigten Abgabe handelt.
      Angabe: Bedingt. (Muss bei der Erfassung)
      Returns:
        Returns the nacherfassung.

    - #### setNacherfassung

          public void setNacherfassung(Boolean nacherfassung)

    - #### getVerordnungsAbgaben

          public PrivatrezeptVerordnungsAbgabe[] getVerordnungsAbgaben()

      Abgabeinformation(en) zu den einzelnen Verordnungen. Siehe `PrivatrezeptVerordnungsAbgabe`.
      Angabe: Muss.
      Returns:
        Returns the privatrezeptVerordnungsAbgaben.

    - #### setVerordnungsAbgaben

          public void setVerordnungsAbgaben(PrivatrezeptVerordnungsAbgabe[] verordnungsAbgaben)